classification
Title: compilation --without-threads fails
Type: Stage:
Components: Interpreter Core Versions: Python 2.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: benjamin.peterson, djmdjm, georg.brandl
Priority: release blocker Keywords: needs review, patch

Created on 2008-08-26 01:35 by djmdjm, last changed 2008-09-01 14:18 by benjamin.peterson. This issue is now closed.

Files
File name Uploaded Description Edit
patch-Python_import_c djmdjm, 2008-08-26 01:35
import.diff georg.brandl, 2008-08-30 19:02
Messages (4)
msg71964 - (view) Author: Damien Miller (djmdjm) Date: 2008-08-26 01:35
Compilation with --without-threads fails with the following error. Patch
attached.

cc -c -fno-strict-aliasing -DNDEBUG -O2 -pipe 
-DTHREAD_STACK_SIZE=0x20000 -fPIC  -I. -IInclude -I./Include 
-DPy_BUILD_CORE -o Python/import.o Python/import.c
Python/import.c: In function `PyImport_ImportModuleNoBlock':
Python/import.c:2037: error: `import_lock_thread' undeclared (first use
in this function)
Python/import.c:2037: error: (Each undeclared identifier is reported
only once
Python/import.c:2037: error: for each function it appears in.)
*** Error code 1
msg71966 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2008-08-26 02:03
The patch looks good to me.

Next time, please a a ".patch" or ".diff" extension to your patch, so it
isn't marked as binary data. Thanks!
msg72200 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2008-08-30 19:02
The patch needs an #else that does ImportModule anyway... see attached.
msg72250 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2008-09-01 14:18
Fixed in r66099.
History
Date User Action Args
2008-09-01 14:18:45benjamin.petersonsetstatus: open -> closed
resolution: fixed
messages: + msg72250
2008-08-30 19:02:29georg.brandlsetfiles: + import.diff
keywords: + patch
messages: + msg72200
nosy: + georg.brandl
2008-08-26 02:03:30benjamin.petersonsetpriority: release blocker
keywords: + needs review
messages: + msg71966
nosy: + benjamin.peterson
2008-08-26 01:35:11djmdjmcreate